--On 27. Januar 2006 22:32:07 +0100 Dieter Maurer <[EMAIL PROTECTED]> wrote:

Andreas Jung wrote at 2006-1-27 07:04 +0100:
Importing stuff from a new Zope version into an older Zope version was
_never_ a supported feature. Only import between _identical_ versions.
Anything else makes little sense and is unsupported.

Of course, you might be happy when you can import into a newer Zope
version from an older one. At least, that makes some sense :-)

Of course we would be happy if we could do that. But export/import was never designed to deal with migration issue. This is very much an application side problem. Btw. Jim has written a "generations" module which looks like a promising framework to deal with implicit migrations in a sane way.


Attachment: pgpilPy98CwYt.pgp
Description: PGP signature

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to